SystemOrganization addCategory: #GODEmailTests!

TestCase subclass: #GODMailReceiverTest
	instanceVariableNames: 'list newdata receiver'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODEmailTests'!

!GODMailReceiverTest methodsFor: 'initialize-release' stamp: 'gfg 10/3/2014 18:08'!
setUp
	list := OrderedCollection new.
	newdata := GODData new.
	receiver := GODMailReceiver new.! !

!GODMailReceiverTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:50'!
testReceive
	receiver hostname: 'hostname'.
	receiver user: 'username'.
	receiver password: 'secret'.
	self shouldnt: [receiver receive] raise: Error.! !

!GODMailReceiverTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:45'!
testReceiveWithNoHostname
	receiver user: 'username'.
	receiver password: 'secret'.
	self should: [receiver receive] raise: Error.! !

!GODMailReceiverTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:46'!
testReceiveWithNoPassword
	receiver hostname: 'hostname'.
	receiver user: 'username'.
	self should: [receiver receive] raise: Error.! !

!GODMailReceiverTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:46'!
testReceiveWithNoUser
	receiver hostname: 'hostname'.
	receiver password: 'secret'.
	self should: [receiver receive] raise: Error.! !

TestCase subclass: #GODMailSenderTest
	instanceVariableNames: 'sender'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODEmailTests'!

!GODMailSenderTest methodsFor: 'initialize-release' stamp: 'gfg 10/3/2014 18:09'!
setUp
	sender := GODMailSender new.! !

!GODMailSenderTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:50'!
testSend
	| godData |
	godData := GODData new content: 'foo'.
	sender hostname: 'hostname'.
	sender user: 'username'.
	sender password: 'secret'.
	self shouldnt: [sender send: godData to: 'foo@bar.com'] raise: Error.! !

!GODMailSenderTest methodsFor: 'tests' stamp: 'gfg 9/28/2014 17:02'!
testSendEmailSyntax
"tenta enviar para e-mails com sintaxes validas e invalidas"
	| testData |
	testData := GODData new content: 'foo'.

	sender hostname: 'hostname'.
	sender user: 'user'.
	sender password: 'pass'.

	self should: [sender send: testData to: 'bla'] raise: Error.
	self should: [sender send: testData to: 'bla@teste'] raise: Error.
	self shouldnt: [sender send: testData to: 'bla@teste.com'] raise: Error.
	self shouldnt: [sender send: testData to: 'bla@teste.org.br'] raise: Error.! !

!GODMailSenderTest methodsFor: 'tests' stamp: 'gfg 9/28/2014 16:55'!
testSendWithEmptyData
	| testData |
	testData := GODData new.

	sender hostname: 'hostname'.
	sender user: 'user'.
	sender password: 'pass'.

	self should: [sender send: testData to: 'bla@teste.com'] raise: Error.! !

!GODMailSenderTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:19'!
testSendWithNoHostname
	| godData |
	godData := GODData new content: 'foo'.
	sender user: 'username'.
	sender password: 'secret'.
	self should: [sender send: godData to: 'foo@bar.com'] raise: Error.! !

!GODMailSenderTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:20'!
testSendWithNoPassword
	| godData |
	godData := GODData new content: 'foo'.
	sender hostname: 'hostname'.
	sender user: 'username'.
	self should: [sender send: godData to: 'foo@bar.com'] raise: Error.! !

!GODMailSenderTest methodsFor: 'tests' stamp: 'LFSA 9/28/2014 15:20'!
testSendWithNoUser
	| godData |
	godData := GODData new content: 'foo'.
	sender hostname: 'hostname'.
	sender password: 'secret'.
	self should: [sender send: godData to: 'foo@bar.com'] raise: Error.! !
